"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigHash = void 0;
const fast_json_stable_stringify_1 = __importDefault(require("fast-json-stable-stringify"));
const path_1 = __importDefault(require("path"));
const hash_1 = require("./hash");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const { version } = require(path_1.default.join(__dirname, '..', '..', '..', 'package.json'));
const configHashes = new WeakMap();
/**
 * Hashes ConfigInfo and cspell version for using in DiskCache
 */
function getConfigHash(configInfo) {
    const cachedHash = configHashes.get(configInfo);
    if (cachedHash !== undefined) {
        return cachedHash;
    }
    const hashValue = (0, hash_1.hash)(`${version}_${(0, fast_json_stable_stringify_1.default)(configInfo)}`);
    configHashes.set(configInfo, hashValue);
    return hashValue;
}
exports.getConfigHash = getConfigHash;
//# sourceMappingURL=getConfigHash.js.map